
package reparto_mazapa.keymon.lat;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class foto implements IRemote{
	public static foto mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public foto() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
	public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("foto"), "reparto_mazapa.keymon.lat.foto");
	}

public boolean isSingleton() {
		return true;
	}
     public static RemoteObject getObject() {
		return myClass;
	 }

	public RemoteObject activityBA;
	public RemoteObject _activity;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
		activityBA = (RemoteObject) args[2];
		_activity = (RemoteObject) args[3];
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[4];
        remoteMe = (RemoteObject) args[5];
		pcBA = new PCBA(this, foto.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _frontcamera = RemoteObject.createImmutable(false);
public static RemoteObject _g = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _p_camara = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _camex = RemoteObject.declareNull("reparto_mazapa.keymon.lat.cameraexclass");
public static RemoteObject _btntakepicture = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _cuenta = RemoteObject.createImmutable("");
public static RemoteObject _lat_gps = RemoteObject.createImmutable("");
public static RemoteObject _usuario = RemoteObject.createImmutable("");
public static RemoteObject _motivo = RemoteObject.createImmutable("");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static reparto_mazapa.keymon.lat.main _main = null;
public static reparto_mazapa.keymon.lat.appupdater _appupdater = null;
public static reparto_mazapa.keymon.lat.tracker _tracker = null;
public static reparto_mazapa.keymon.lat.starter _starter = null;
public static reparto_mazapa.keymon.lat.subs _subs = null;
public static reparto_mazapa.keymon.lat.firebasemessaging _firebasemessaging = null;
public static reparto_mazapa.keymon.lat.mapa_cliente _mapa_cliente = null;
public static reparto_mazapa.keymon.lat.mapa_rutas _mapa_rutas = null;
public static reparto_mazapa.keymon.lat.newinst2 _newinst2 = null;
public static reparto_mazapa.keymon.lat.b4xpages _b4xpages = null;
public static reparto_mazapa.keymon.lat.b4xcollections _b4xcollections = null;
public static reparto_mazapa.keymon.lat.httputils2service _httputils2service = null;
public static reparto_mazapa.keymon.lat.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",foto.mostCurrent._activity,"appUpdater",Debug.moduleToString(reparto_mazapa.keymon.lat.appupdater.class),"B4XCollections",Debug.moduleToString(reparto_mazapa.keymon.lat.b4xcollections.class),"B4XPages",Debug.moduleToString(reparto_mazapa.keymon.lat.b4xpages.class),"btnTakePicture",foto.mostCurrent._btntakepicture,"c",foto.mostCurrent._c,"camEx",foto.mostCurrent._camex,"cuenta",foto.mostCurrent._cuenta,"DateUtils",foto.mostCurrent._dateutils,"FirebaseMessaging",Debug.moduleToString(reparto_mazapa.keymon.lat.firebasemessaging.class),"frontCamera",foto._frontcamera,"g",foto._g,"HttpUtils2Service",Debug.moduleToString(reparto_mazapa.keymon.lat.httputils2service.class),"lat_gps",foto.mostCurrent._lat_gps,"Main",Debug.moduleToString(reparto_mazapa.keymon.lat.main.class),"MAPA_CLIENTE",Debug.moduleToString(reparto_mazapa.keymon.lat.mapa_cliente.class),"MAPA_RUTAS",Debug.moduleToString(reparto_mazapa.keymon.lat.mapa_rutas.class),"MOTIVO",foto.mostCurrent._motivo,"newinst2",Debug.moduleToString(reparto_mazapa.keymon.lat.newinst2.class),"p_camara",foto.mostCurrent._p_camara,"Starter",Debug.moduleToString(reparto_mazapa.keymon.lat.starter.class),"Subs",Debug.moduleToString(reparto_mazapa.keymon.lat.subs.class),"Tracker",Debug.moduleToString(reparto_mazapa.keymon.lat.tracker.class),"USUARIO",foto.mostCurrent._usuario,"XUIViewsUtils",Debug.moduleToString(reparto_mazapa.keymon.lat.xuiviewsutils.class)};
}
}